%global modname thriftpy

Name:           python-%{modname}
Version:        0.3.9
Release:        1%{?dist}
Summary:        Pure Python implementation of Apache Thrift

License:        MIT
URL:            https://github.com/eleme/thriftpy
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

%global _description \
ThriftPy is a pure python implementation of Apache Thrift in a pythonic way.\
\
The official thrift python lib is not pythonic at all, it needs a complicated\
process of installation, and the generated sdk is very ugly. Everytime the\
thrift file changed you have to re-generate the sdk which causes more pain\
in development.\
\
ThriftPy helps that, it’s compatible with Apache Thrift so you no longer\
need to install ‘thrift’ package, it can import thrift file on the fly so\
you no longer need to re-generate the sdk again and again and again.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-Cython
BuildRequires:  python2-pytest
BuildRequires:  python2-tornado
BuildRequires:  python2-toro
BuildRequires:  python2-ply
Requires:       python2-ply

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython
BuildRequires:  python3-pytest
BuildRequires:  python3-tornado
BuildRequires:  python3-toro
BuildRequires:  python3-ply
Requires:       python3-ply

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
pushd tests
  PYTHONPATH=%{buildroot}%{python2_sitearch} py.test-%{python2_version} -v
  PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -v
popd

%files -n python2-%{modname}
%license LICENSE
%doc README.rst examples
%{python2_sitearch}/%{modname}-*.egg-info/
%{python2_sitearch}/%{modname}/

%files -n python3-%{modname}
%license LICENSE
%doc README.rst examples
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}/

%changelog
* Sat Sep 03 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.9-1
- Initial package
